package com.writeoff.module.observability.model;

public class AlertRuleInfo {
    private Long id;
    private String ruleCode;
    private String ruleName;
    private String compareOp;
    private Double thresholdValue;
    private Integer windowMinute;
    private Integer suppressWindowMinute;
    private String status;

    public AlertRuleInfo(Long id, String ruleCode, String ruleName, String compareOp, Double thresholdValue, Integer windowMinute, Integer suppressWindowMinute, String status) {
        this.id = id;
        this.ruleCode = ruleCode;
        this.ruleName = ruleName;
        this.compareOp = compareOp;
        this.thresholdValue = thresholdValue;
        this.windowMinute = windowMinute;
        this.suppressWindowMinute = suppressWindowMinute;
        this.status = status;
    }

    public Long getId() {
        return id;
    }

    public String getRuleCode() {
        return ruleCode;
    }

    public String getRuleName() {
        return ruleName;
    }

    public String getCompareOp() {
        return compareOp;
    }

    public Double getThresholdValue() {
        return thresholdValue;
    }

    public Integer getWindowMinute() {
        return windowMinute;
    }

    public Integer getSuppressWindowMinute() {
        return suppressWindowMinute;
    }

    public String getStatus() {
        return status;
    }
}
